# $Revision: 1.24 $, $Date: 2005-10-30 18:31:29 $
Summary:	Service Availability Forum's Hardware Platform Interface (HPI) implementation
Summary(pl):	Implementacja HPI (Hardware Platform Interface) Service Availability Forum
Name:		openhpi
Version:	2.2.1
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/openhpi/%{name}-%{version}.tar.gz
# Source0-md5:	d1c914dcc3fb482cb58299fec377f7b4
Patch0:		%{name}-types.patch
Patch1:		%{name}-sh.patch
Patch2:		%{name}-align.patch
Patch3:		%{name}-proto.patch
URL:		http://openhpi.sourceforge.net/
BuildRequires:	OpenIPMI-devel >= 1.4.16
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1.8
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	fam-devel
BuildRequires:	gcc >= 5:3.2.0
BuildRequires:	glib2-devel >= 1:2.2.0
BuildRequires:	libltdl-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	sysfsutils-devel >= 0.3.0
Requires:	glib2 >= 1:2.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenHPI is an open source project created with the intent of providing
an implementation of the Service Availability Forum's Hardware
Platform Interface (HPI). HPI provides a universal interface for
creating resource system models, typically for chassis and rack based
servers, but extendable for other problem domains such as clustering,
virtualization and simulation.

%description -l pl
OpenHPI to otwarty projekt stworzony z zamiarem dostarczenia
implementacji HPI (Hardware Platform Interface - interfejsu platformy
sprztowej) Service Availability Forum. HPI udostpnia uniwersalny
interfejs do tworzenia modeli systemw zasobw, zwykle dla serwerw 
w ramach i szafach, ale rozszerzalny dla innego rodzaju problemw,
takich jak klastrowanie, wirtualizacja czy symulacja.

%package devel
Summary:	Development part of OpenHPI Toolkit library
Summary(pl):	Programistyczna cz biblioteki OpenHPI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.2.0
Requires:	libltdl-devel

%description devel
Development part of OpenHPI library.

%description devel -l pl
Programistyczna cz biblioteki OpenHPI.

%package static
Summary:	Static OpenHPI library
Summary(pl):	Statyczna biblioteka OpenHPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenHPI Toolkit libraries.

%description static -l pl
Statyczna biblioteka OpenHPI.

%package plugin-ipmi
Summary:	ipmi plugin for OpenHPI
Summary(pl):	Wtyczka ipmi dla OpenHPI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenIPMI >= 1.4.16

%description plugin-ipmi
ipmi plugin for OpenHPI.

%description plugin-ipmi -l pl
Wtyczka ipmi dla OpenHPI.

%package plugin-ipmidirect
Summary:	ipmidirect plugin for OpenHPI
Summary(pl):	Wtyczka ipmidirect dla OpenHPI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-ipmidirect
ipmidirect plugin for OpenHPI.

%description plugin-ipmidirect -l pl
Wtyczka ipmidirect dla OpenHPI.

%package plugin-snmp
Summary:	SNMP plugins for OpenHPI
Summary(pl):	Wtyczki SNMP dla OpenHPI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-snmp
SNMP plugins for OpenHPI: snmp_bc.

%description plugin-snmp -l pl
Wtyczki SNMP dla OpenHPI: snmp_bc.

%package plugin-simulator
Summary:	simulator plugin for OpenHPI
Summary(pl):	Wtyczka simulator dla OpenHPI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-simulator
simulator plugin for OpenHPI.

%description plugin-simulator -l pl
Wtyczka simulator dla OpenHPI.

%package plugin-sysfs
Summary:	sysfs plugin for OpenHPI
Summary(pl):	Wtyczka sysfs dla OpenHPI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-sysfs
sysfs plugin for OpenHPI.

%description plugin-sysfs -l pl
Wtyczka sysfs dla OpenHPI.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# speed up build, lower disk space usage
for f in `find . -name Makefile.am | xargs grep -l 'AM_CFLAGS.* -g '`; do
	%{__perl} -pi -e 's/^(AM_CFLAGS.* )-g /$1 /' $f
done

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-daemon \
	--enable-simulator
# removed?
#	--enable-remote_client
	
%{__make}

%{__make} -C docs/hld openhpi-manual/book1.html

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{name}/standard/libopenhpi.so.2.2.1 $RPM_BUILD_ROOT%{_libdir}
ln -sf %{name}/standard/libopenhpi.so.2 $RPM_BUILD_ROOT%{_libdir}
ln -sf %{name}/standard/libopenhpi.so $RPM_BUILD_ROOT%{_libdir}
ln -sf %{name}/standard/libopenhpi.la $RPM_BUILD_ROOT%{_libdir}
ln -sf %{name}/standard/libopenhpi.a $RPM_BUILD_ROOT%{_libdir}

# remove useless static plugins (but *.la are used by lt_dlopen)
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README docs/hld/openhpi-manual
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/libdummy.so
%{_libdir}/%{name}/libdummy.la
%attr(755,root,root) %{_libdir}/%{name}/libwatchdog.so*
%{_libdir}/%{name}/libwatchdog.la
%dir %{_libdir}/%{name}/client
%attr(755,root,root) %{_libdir}/%{name}/client/libopenhpi.so.*
%dir %{_libdir}/%{name}/standard
%attr(755,root,root) %{_libdir}/%{name}/standard/libopenhpi.so.*
#%attr(755,root,root) %{_libdir}/%{name}/libremote_client.so*
#%{_libdir}/%{name}/libremote_client.la
%dir %{_sysconfdir}/openhpi
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openhpi/openhpi.conf
#%attr(754,root,root) /etc/rc.d/init.d/openhpid
%dir %{_localstatedir}/lib/%{name}
%{_mandir}/man1/openhpi-switcher.1*
%{_mandir}/man7/openhpi.7*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/%{name}/client/libopenhpi.so
%{_libdir}/%{name}/client/libopenhpi.la
%attr(755,root,root) %{_libdir}/%{name}/standard/libopenhpi.so
%{_libdir}/%{name}/standard/libopenhpi.la
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_libdir}/%{name}/client/libopenhpi.a
%{_libdir}/%{name}/standard/libopenhpi.a

%files plugin-ipmi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libipmi.so*
%{_libdir}/%{name}/libipmi.la

%files plugin-ipmidirect
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libipmidirect.so*
%{_libdir}/%{name}/libipmidirect.la

%files plugin-simulator
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libsimulator.so*
%{_libdir}/%{name}/libsimulator.la

%files plugin-snmp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libsnmp_bc.so*
%{_libdir}/%{name}/libsnmp_bc.la

%files plugin-sysfs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libsysfs2hpi.so*
%{_libdir}/%{name}/libsysfs2hpi.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openhpi.spec,v $
Revision 1.24  2005-10-30 18:31:29  qboosh
- updated to 2.2.1, updated align patch

Revision 1.23  2005/10/22 17:23:53  qboosh
- updated to 2.2.0

Revision 1.22  2005/09/05 05:38:40  qboosh
- updated to 2.1.2, updated align patch, removed obsolete headers patch
- added proto patch

Revision 1.21  2005/05/22 17:19:10  qboosh
- added headers patch (install missing headers)
- release 2

Revision 1.20  2005/05/04 19:11:14  qboosh
- merged from DEVEL

Revision 1.19.2.5  2005/05/04 19:08:36  qboosh
- updated to 2.1.1, simulator is back

Revision 1.19.2.4  2005/04/16 15:28:53  qboosh
- symlink standard libs to libdir

Revision 1.19.2.3  2005/04/16 13:09:23  qboosh
- updated to 2.1.0, removed obsolete ipmi patch

Revision 1.19.2.2  2005/02/28 06:49:43  qboosh
- updated to 2.0.2, updated types patch, removed obsolete amfix,snmp patches
- ipmidirect plugin is back, snmp_client removed at all, simulator still broken

Revision 1.19.2.1  2005/01/21 23:54:35  qboosh
- updated to 2.0.0 (DEVEL branch - too many broken things introduced)
- removed obsolete glib patch, updated types,amfix,align,snmp patches
- added ipmi patch for OpenIPMI 1.4.7+

Revision 1.19  2004/09/02 14:36:07  snurf
- typos / formatting / etc.

Revision 1.18  2004/07/31 00:45:15  qboosh
- added snmp patch (fixes ssize_t conflict with net-snmp headers)

Revision 1.17  2004/07/01 22:30:43  qboosh
- updated OpenIPMI BR

Revision 1.16  2004/07/01 22:13:24  qboosh
- updated to 1.0.0, updated types,align patches

Revision 1.15  2004/06/21 07:06:46  ankry
- added -align.patch, NFY, rel. 2.1

Revision 1.14  2004/06/15 09:48:03  krolik
- rel. 2

Revision 1.13  2004/06/05 19:29:09  qboosh
- updated to 0.9.0, updated amfix,sh patches

Revision 1.12  2004/05/20 17:52:03  qboosh
- updated to 0.7.0, updated types,amfix,sh patches
- removed obsolete snmp,ipmi patches and sc_sensor_data.h source

Revision 1.11  2004/03/29 21:37:37  adamg
- release 2 to rebuild with new sysfsutils

Revision 1.10  2004/03/27 18:25:09  qboosh
- glib patch is back (but now fixes glib version in .pc file)

Revision 1.9  2004/03/27 14:07:24  qboosh
- updated to 0.6.0, updated patches
- separated -plugin-simulator (uses fam now)

Revision 1.8  2004/02/22 16:51:00  qboosh
- more type/alignment fixes (for sparc), release 3

Revision 1.7  2004/02/22 14:10:23  qboosh
- added glib,types patches (fix build on alpha); release 2

Revision 1.6  2004/02/09 20:23:08  qboosh
- updated to 0.5.0, updated snmp patch

Revision 1.5  2004/01/02 22:33:57  qboosh
- OpenIPMI 1.1.8 has been released - build ipmi plugin now; release 2

Revision 1.4  2003/12/12 21:30:55  qboosh
- BR: docbook-dtd41-sgml

Revision 1.3  2003/12/12 21:29:58  qboosh
- updated to 0.4 (supports libsysfs 0.3.0)
- disabled ipmi for now (requires unreleases OpenIPMI)
- switched to glib2
- separated plugins with additional deps

Revision 1.2  2003/12/12 00:05:38  qboosh
- pl descriptions, BR fixes; doesn't build with libsysfs 0.3.0

Revision 1.1  2003/12/06 23:49:35  arekm
- initial pld release
